pptri(3)

NAME
pptri - pptri: triangular inverse

SYNOPSIS

  Functions

subroutine cpptri (uplo, n, ap, info)
CPPTRI
subroutine dpptri (uplo, n, ap, info)
DPPTRI
subroutine spptri (uplo, n, ap, info)
SPPTRI
subroutine zpptri (uplo, n, ap, info)
ZPPTRI

Detailed Description

Function Documentation

  subroutine cpptri (character uplo, integer n, complex, dimension( * ) ap, integer info)

CPPTRI

Purpose:

    !>
    !> CPPTRI computes the inverse of a complex Hermitian positive definite
    !> matrix A using the Cholesky factorization A = U**H*U or A = L*L**H
    !> computed by CPPTRF.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          = 'U':  Upper triangular factor is stored in AP;
    !>          = 'L':  Lower triangular factor is stored in AP.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.
    !>

    AP

    !>          AP is COMPLEX array, dimension (N*(N+1)/2)
    !>          On entry, the triangular factor U or L from the Cholesky
    !>          factorization A = U**H*U or A = L*L**H, packed columnwise as
    !>          a linear array.  The j-th column of U or L is stored in the
    !>          array AP as follows:
    !>          if UPLO = 'U', AP(i + (j-1)*j/2) = U(i,j) for 1<=i<=j;
    !>          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = L(i,j) for j<=i<=n.
    !>
    !>          On exit, the upper or lower triangle of the (Hermitian)
    !>          inverse of A, overwriting the input factor U or L.
    !>

    INFO

    !>          INFO is INTEGER
    !>          = 0:  successful exit
    !>          < 0:  if INFO = -i, the i-th argument had an illegal value
    !>          > 0:  if INFO = i, the (i,i) element of the factor U or L is
    !>                zero, and the inverse could not be computed.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine dpptri (character uplo, integer n, double precision, dimension( * ) ap, integer info)

DPPTRI

Purpose:

    !>
    !> DPPTRI computes the inverse of a real symmetric positive definite
    !> matrix A using the Cholesky factorization A = U**T*U or A = L*L**T
    !> computed by DPPTRF.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          = 'U':  Upper triangular factor is stored in AP;
    !>          = 'L':  Lower triangular factor is stored in AP.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.
    !>

    AP

    !>          AP is DOUBLE PRECISION array, dimension (N*(N+1)/2)
    !>          On entry, the triangular factor U or L from the Cholesky
    !>          factorization A = U**T*U or A = L*L**T, packed columnwise as
    !>          a linear array.  The j-th column of U or L is stored in the
    !>          array AP as follows:
    !>          if UPLO = 'U', AP(i + (j-1)*j/2) = U(i,j) for 1<=i<=j;
    !>          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = L(i,j) for j<=i<=n.
    !>
    !>          On exit, the upper or lower triangle of the (symmetric)
    !>          inverse of A, overwriting the input factor U or L.
    !>

    INFO

    !>          INFO is INTEGER
    !>          = 0:  successful exit
    !>          < 0:  if INFO = -i, the i-th argument had an illegal value
    !>          > 0:  if INFO = i, the (i,i) element of the factor U or L is
    !>                zero, and the inverse could not be computed.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine spptri (character uplo, integer n, real, dimension( * ) ap, integer info)

SPPTRI

Purpose:

    !>
    !> SPPTRI computes the inverse of a real symmetric positive definite
    !> matrix A using the Cholesky factorization A = U**T*U or A = L*L**T
    !> computed by SPPTRF.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          = 'U':  Upper triangular factor is stored in AP;
    !>          = 'L':  Lower triangular factor is stored in AP.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.
    !>

    AP

    !>          AP is REAL array, dimension (N*(N+1)/2)
    !>          On entry, the triangular factor U or L from the Cholesky
    !>          factorization A = U**T*U or A = L*L**T, packed columnwise as
    !>          a linear array.  The j-th column of U or L is stored in the
    !>          array AP as follows:
    !>          if UPLO = 'U', AP(i + (j-1)*j/2) = U(i,j) for 1<=i<=j;
    !>          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = L(i,j) for j<=i<=n.
    !>
    !>          On exit, the upper or lower triangle of the (symmetric)
    !>          inverse of A, overwriting the input factor U or L.
    !>

    INFO

    !>          INFO is INTEGER
    !>          = 0:  successful exit
    !>          < 0:  if INFO = -i, the i-th argument had an illegal value
    !>          > 0:  if INFO = i, the (i,i) element of the factor U or L is
    !>                zero, and the inverse could not be computed.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine zpptri (character uplo, integer n, complex*16, dimension( * ) ap, integer info)

ZPPTRI

Purpose:

    !>
    !> ZPPTRI computes the inverse of a complex Hermitian positive definite
    !> matrix A using the Cholesky factorization A = U**H*U or A = L*L**H
    !> computed by ZPPTRF.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          = 'U':  Upper triangular factor is stored in AP;
    !>          = 'L':  Lower triangular factor is stored in AP.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.
    !>

    AP

    !>          AP is COMPLEX*16 array, dimension (N*(N+1)/2)
    !>          On entry, the triangular factor U or L from the Cholesky
    !>          factorization A = U**H*U or A = L*L**H, packed columnwise as
    !>          a linear array.  The j-th column of U or L is stored in the
    !>          array AP as follows:
    !>          if UPLO = 'U', AP(i + (j-1)*j/2) = U(i,j) for 1<=i<=j;
    !>          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = L(i,j) for j<=i<=n.
    !>
    !>          On exit, the upper or lower triangle of the (Hermitian)
    !>          inverse of A, overwriting the input factor U or L.
    !>

    INFO

    !>          INFO is INTEGER
    !>          = 0:  successful exit
    !>          < 0:  if INFO = -i, the i-th argument had an illegal value
    !>          > 0:  if INFO = i, the (i,i) element of the factor U or L is
    !>                zero, and the inverse could not be computed.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.